Skip to main content
POST
/
tenant-auth
/
v1
/
tenants
Create a new tenant
curl --request POST \
  --url https://api.swarmd.ai/tenant-auth/v1/tenants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "user": {
    "email": "<string>",
    "password": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "publicContactEmail": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "publicContactEmail": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Body

application/json
name
string
required
Required string length: 3 - 100
user
object
required
publicContactEmail
string

Response

201 - */*

Created

id
string<uuid>
required
name
string
required
createdAt
string<date-time>
required
publicContactEmail
string